{
  "name": "hubl",
  "version": "1.0.0",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "https://git.startinblox.com/applications/hubl.git"
  },
  "scripts": {
    "build": "run-p copy:* build:*",
    "build:css": "node-sass src/styles/index.scss -o dist/styles/",
    "build:js": "babel 'src/scripts/*.js' -o dist/scripts/index.js",
    "build:jscomponents": "babel 'src/components/*.js' --out-dir dist/components/",
    "build:html": "pug src/index.pug -o dist/ --obj config.json",
    "copy:font": "copyfiles -f src/fonts/* dist/fonts",
    "copy:image": "copyfiles -f src/images/* dist/images",
    "serve": "pushstate-server -d ./dist -p 3000",
    "watch": "run-p copy:* watch:* serve",
    "watch:css": "npm run build:css && npm run build:css -- -w",
    "watch:js": "babel --watch \"src/scripts/*.js\" -o dist/scripts/index.js",
    "watch:jscomponents": "babel --watch \"src/components/*.js\" --out-dir dist/components/",
    "watch:pug": "pug --watch src/index.pug -o dist/ --obj config.json",
    "cypress:open": "cypress open",
    "cypress:verify": "cypress verify",
    "cypress:info": "cypress info",
    "test": "cypress run"
  },
  "release": {
    "branches": [
      "master"
    ],
    "plugins": [
      [
        "@semantic-release/commit-analyzer",
        {
          "preset": "angular",
          "releaseRules": [
            {
              "type": "major",
              "release": "major"
            },
            {
              "type": "minor",
              "release": "minor"
            },
            {
              "type": "*",
              "release": "patch"
            }
          ]
        }
      ],
      "@semantic-release/release-notes-generator",
      "@semantic-release/gitlab"
    ]
  },
  "dependencies": {
    "@babel/cli": "^7.7.0",
    "@babel/core": "^7.9.0",
    "copyfiles": "^2.1.1",
    "include-media": "^1.4.9",
    "node-sass": "^4.14.0",
    "normalize.css": "^8.0.1",
    "npm-run-all": "^4.1.5",
    "pug": "^2.0.4",
    "pug-cli": "^1.0.0-alpha6",
    "pushstate-server": "^3.1.0"
  },
  "devDependencies": {
    "cypress": "^4.5.0",
    "cypress-terminal-report": "^1.2.1"
  }
}
